This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 674814 - (CVE-2011-0411) CVE-2011-0411 postfix: SMTP commands injection during plaintext to TLS session switch
CVE-2011-0411 postfix: SMTP commands injection during plaintext to TLS sessio...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110305,reported=20110119,sou...
: Security
Depends On: 682978 683168 683386 683387 683389 683392 833971
Blocks: 735401
  Show dependency treegraph
 
Reported: 2011-02-03 08:03 EST by Jan Lieskovsky
Modified: 2015-11-24 09:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-02-03 08:03:59 EST
It was found, that Postfix, a Mail Transport Agent (MTA), recognized
SMTP commands during plaintex to TLS session switch (by TLS protocol
initialization). A remote attacker could use this flaw to insert
plaintext SMTP protocol commands into TLS protocol initialization
messages, leading to SMTP commands execution during the ciphertext
protocol phase, allowing the attacker to steal user credentials
and conduct man-in-the-middle (MITM) attacks.

References:
[1] http://www.kb.cert.org/vuls/id/555316 (not public yet)
Comment 2 Jan Lieskovsky 2011-02-03 08:09:49 EST
This issue affects the versions of the postfix package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the postfix package, as shipped
with Fedora release of 13 and 14.
Comment 14 Vincent Danen 2011-03-07 17:55:21 EST
This is public now:

http://www.kb.cert.org/vuls/id/555316

It indicates that Postfix 2.7.3, 2.6.9, 2.5.12, and 2.4.16 have been released to correct the flaw.  Postfix 2.8 and 2.9 are not affected.

http://www.postfix.org/announcements/postfix-2.7.3.html
Comment 17 Jan Lieskovsky 2011-03-08 12:24:19 EST
This issue did NOT affect the versions of the exim package,
as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue did NOT affect the versions of the exim package,
as present within EPEL-6 repository.

--

This issue did NOT affect the versions of the exim package,
as shipped with Fedora release of 13 and 14.
Comment 18 Jan Lieskovsky 2011-03-08 12:30:32 EST
This issue did NOT affect the versions of the sendmail package,
as shipped with Red Hat Enterprise Linux 3, 4, 5, or 6.

--

This issue did NOT affect the versions of the sendmail package,
as shipped with Fedora release of 13 and 14.
Comment 19 Jan Lieskovsky 2011-03-08 13:04:53 EST
Created postfix tracking bugs for this issue

Affects: fedora-all [bug 683168]
Comment 20 Vincent Danen 2011-03-08 16:10:53 EST
This issue affects more than just MTAs.  See bug #683221 for a similar flaw in pure-ftpd.
Comment 25 Jan Lieskovsky 2011-03-10 12:55:19 EST
Statement:

This issue affected postfix packages in Red Hat Enterprise Linux 4, 5, and 6.  It was corrected via RHSA-2011:0422 and RHSA-2011:0423.

This issue did not affect the versions of sendmail as shipped with Red Hat Enterprise Linux 3, 4, 5, or 6, and the versions of exim as shipped with Red Hat Enterprise Linux 4 and 5.
Comment 26 errata-xmlrpc 2011-04-06 19:00:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2011:0422 https://rhn.redhat.com/errata/RHSA-2011-0422.html
Comment 27 errata-xmlrpc 2011-04-06 19:11:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0423 https://rhn.redhat.com/errata/RHSA-2011-0423.html
Comment 28 Vincent Danen 2011-04-06 19:28:41 EDT
Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting CVE-2011-0411. The CERT/CC acknowledges Wietse Venema as the original reporter.

Note You need to log in before you can comment on or make changes to this bug.